TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ForAll ( func pred ) -> func fa

### Description

<shortdoc> Construct a functional `fa(<list> l) -> elt-alg^boo' which returns true iff every member of `l' suffices the predicate function `pred'.
Note: Apparently `pred' must have `-> elt-alg^boo' out-signature. </shortdoc>

### Examples

l:=[Random(10),Random(10)]; f:=ForAll(IsEven); l; f(l);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack